diff --git a/gcc/analyzer/constraint-manager.cc b/gcc/analyzer/constraint-manager.cc
index be51e79a4b9..d1e0a02d348 100644
--- a/gcc/analyzer/constraint-manager.cc
+++ b/gcc/analyzer/constraint-manager.cc
@@ -162,7 +162,7 @@ compare_constants (tree lhs_const, enum tree_code op, tree rhs_const)
    closed one.  */
 
 void
-bound2::ensure_closed (bool is_upper)
+bound::ensure_closed (bool is_upper)
 {
   if (!m_closed)
     {
@@ -178,10 +178,10 @@ bound2::ensure_closed (bool is_upper)
     }
 }
 
-/* Get "<=" vs "<" for this bound2.  */
+/* Get "<=" vs "<" for this bound.  */
 
 const char *
-bound2::get_relation_as_str () const
+bound::get_relation_as_str () const
 {
   if (m_closed)
     return "<=";
@@ -189,12 +189,12 @@ bound2::get_relation_as_str () const
     return "<";
 }
 
-/* struct range2.  */
+/* struct range.  */
 
-/* Dump this range2 to PP, which must support %E for tree.  */
+/* Dump this range to PP, which must support %E for tree.  */
 
 void
-range2::dump_to_pp (pretty_printer *pp) const
+range::dump_to_pp (pretty_printer *pp) const
 {
   if (m_lower_bound.m_constant)
     {
@@ -220,10 +220,10 @@ range2::dump_to_pp (pretty_printer *pp) const
     }
 }
 
-/* Dump this range2 to stderr.  */
+/* Dump this range to stderr.  */
 
 DEBUG_FUNCTION void
-range2::dump () const
+range::dump () const
 {
   pretty_printer pp;
   pp_format_decoder (&pp) = default_tree_printer;
@@ -234,11 +234,11 @@ range2::dump () const
   pp_flush (&pp);
 }
 
-/* Determine if there is only one possible value for this range2.
+/* Determine if there is only one possible value for this range.
    If so, return the constant; otherwise, return NULL_TREE.  */
 
 tree
-range2::constrained_to_single_element ()
+range::constrained_to_single_element ()
 {
   if (m_lower_bound.m_constant == NULL_TREE
       || m_upper_bound.m_constant == NULL_TREE)
@@ -266,10 +266,10 @@ range2::constrained_to_single_element ()
 /* Eval the condition "X OP RHS_CONST" for X within the range.  */
 
 tristate
-range2::eval_condition (enum tree_code op,
+range::eval_condition (enum tree_code op,
 			tree rhs_const) const
 {
-  range2 copy (*this);
+  range copy (*this);
   if (tree single_element = copy.constrained_to_single_element ())
     return compare_constants (single_element, op, rhs_const);
 
@@ -326,7 +326,7 @@ range2::eval_condition (enum tree_code op,
 /* Return true if RHS_CONST is below the lower bound of this range.  */
 
 bool
-range2::below_lower_bound (tree rhs_const) const
+range::below_lower_bound (tree rhs_const) const
 {
   if (!m_lower_bound.m_constant)
     return false;
@@ -339,7 +339,7 @@ range2::below_lower_bound (tree rhs_const) const
 /* Return true if RHS_CONST is above the upper bound of this range.  */
 
 bool
-range2::above_upper_bound (tree rhs_const) const
+range::above_upper_bound (tree rhs_const) const
 {
   if (!m_upper_bound.m_constant)
     return false;
@@ -349,36 +349,36 @@ range2::above_upper_bound (tree rhs_const) const
 			    m_upper_bound.m_constant).is_true ();
 }
 
-/* class equiv_class2.  */
+/* class equiv_class.  */
 
-/* equiv_class2's default ctor.  */
+/* equiv_class's default ctor.  */
 
-equiv_class2::equiv_class2 ()
+equiv_class::equiv_class ()
 : m_constant (NULL_TREE), m_cst_sval (NULL), m_vars ()
 {
 }
 
-/* equiv_class2's copy ctor.  */
+/* equiv_class's copy ctor.  */
 
-equiv_class2::equiv_class2 (const equiv_class2 &other)
+equiv_class::equiv_class (const equiv_class &other)
 : m_constant (other.m_constant), m_cst_sval (other.m_cst_sval),
   m_vars (other.m_vars.length ())
 {
   int i;
-  const svalue2 *sval;
+  const svalue *sval;
   FOR_EACH_VEC_ELT (other.m_vars, i, sval)
     m_vars.quick_push (sval);
 }
 
-/* Print an all-on-one-line representation of this equiv_class2 to PP,
+/* Print an all-on-one-line representation of this equiv_class to PP,
    which must support %E for trees.  */
 
 void
-equiv_class2::print (pretty_printer *pp) const
+equiv_class::print (pretty_printer *pp) const
 {
   pp_character (pp, '{');
   int i;
-  const svalue2 *sval;
+  const svalue *sval;
   FOR_EACH_VEC_ELT (m_vars, i, sval)
     {
       if (i > 0)
@@ -394,14 +394,14 @@ equiv_class2::print (pretty_printer *pp) const
   pp_character (pp, '}');
 }
 
-/* Generate a hash value for this equiv_class2.  */
+/* Generate a hash value for this equiv_class.  */
 
 hashval_t
-equiv_class2::hash () const
+equiv_class::hash () const
 {
   inchash::hash hstate;
   int i;
-  const svalue2 *sval;
+  const svalue *sval;
 
   inchash::add_expr (m_constant, hstate);
   // TODO:
@@ -412,10 +412,10 @@ equiv_class2::hash () const
   return hstate.end ();
 }
 
-/* Equality operator for equiv_class2.  */
+/* Equality operator for equiv_class.  */
 
 bool
-equiv_class2::operator== (const equiv_class2 &other)
+equiv_class::operator== (const equiv_class &other)
 {
   if (m_constant != other.m_constant)
     return false; // TODO: use tree equality here?
@@ -426,7 +426,7 @@ equiv_class2::operator== (const equiv_class2 &other)
     return false;
 
   int i;
-  const svalue2 *sval;
+  const svalue *sval;
   FOR_EACH_VEC_ELT (m_vars, i, sval)
     if (sval != other.m_vars[i])
       return false;
@@ -435,16 +435,16 @@ equiv_class2::operator== (const equiv_class2 &other)
   return true;
 }
 
-/* Add SID to this equiv_class2, using CM to check if it's a constant.  */
+/* Add SID to this equiv_class, using CM to check if it's a constant.  */
 
 void
-equiv_class2::add (const svalue2 *sval)
+equiv_class::add (const svalue *sval)
 {
   gcc_assert (sval);
   if (tree cst = sval->maybe_get_constant ())
     {
       gcc_assert (CONSTANT_CLASS_P (cst));
-      /* FIXME: should we canonicalize which svalue2 is the constant
+      /* FIXME: should we canonicalize which svalue is the constant
 	 when there are multiple equal constants?  */
       m_constant = cst;
       m_cst_sval = sval;
@@ -457,13 +457,13 @@ equiv_class2::add (const svalue2 *sval)
    a possible leak).  */
 
 bool
-equiv_class2::del (const svalue2 *sval)
+equiv_class::del (const svalue *sval)
 {
   gcc_assert (sval);
   gcc_assert (sval != m_cst_sval);
 
   int i;
-  const svalue2 *iv;
+  const svalue *iv;
   FOR_EACH_VEC_ELT (m_vars, i, iv)
     {
       if (iv == sval)
@@ -482,20 +482,20 @@ equiv_class2::del (const svalue2 *sval)
 /* Get a representative member of this class, for handling cases
    where the IDs can change mid-traversal.  */
 
-const svalue2 *
-equiv_class2::get_representative () const
+const svalue *
+equiv_class::get_representative () const
 {
   gcc_assert (m_vars.length () > 0);
   return m_vars[0];
 }
 
-/* Comparator for use by equiv_class2::canonicalize.  */
+/* Comparator for use by equiv_class::canonicalize.  */
 
 static int
-svalue2_cmp_by_ptr (const void *p1, const void *p2)
+svalue_cmp_by_ptr (const void *p1, const void *p2)
 {
-  const svalue2 *sval1 = *(const svalue2 * const *)p1;
-  const svalue2 *sval2 = *(const svalue2 * const *)p2;
+  const svalue *sval1 = *(const svalue * const *)p1;
+  const svalue *sval2 = *(const svalue * const *)p2;
   if (sval1 < sval2)
     return 1;
   if (sval1 > sval2)
@@ -503,41 +503,41 @@ svalue2_cmp_by_ptr (const void *p1, const void *p2)
   return 0;
 }
 
-/* Sort the svalue2s within this equiv_class2.  */
+/* Sort the svalues within this equiv_class.  */
 
 void
-equiv_class2::canonicalize ()
+equiv_class::canonicalize ()
 {
-  m_vars.qsort (svalue2_cmp_by_ptr);
+  m_vars.qsort (svalue_cmp_by_ptr);
 }
 
 /* Get a debug string for C_OP.  */
 
 const char *
-constraint2_op_code (enum constraint2_op c_op)
+constraint_op_code (enum constraint_op c_op)
 {
   switch (c_op)
     {
     default:
       gcc_unreachable ();
-    case CONSTRAINT2_NE: return "!=";
-    case CONSTRAINT2_LT: return "<";
-    case CONSTRAINT2_LE: return "<=";
+    case CONSTRAINT_NE: return "!=";
+    case CONSTRAINT_LT: return "<";
+    case CONSTRAINT_LE: return "<=";
     }
 }
 
 /* Convert C_OP to an enum tree_code.  */
 
 enum tree_code
-constraint2_tree_code (enum constraint2_op c_op)
+constraint_tree_code (enum constraint_op c_op)
 {
   switch (c_op)
     {
     default:
       gcc_unreachable ();
-    case CONSTRAINT2_NE: return NE_EXPR;
-    case CONSTRAINT2_LT: return LT_EXPR;
-    case CONSTRAINT2_LE: return LE_EXPR;
+    case CONSTRAINT_NE: return NE_EXPR;
+    case CONSTRAINT_LT: return LT_EXPR;
+    case CONSTRAINT_LE: return LE_EXPR;
     }
 }
 
@@ -546,25 +546,25 @@ constraint2_tree_code (enum constraint2_op c_op)
    For example, given "x < y", then "x > y" is false.  */
 
 static tristate
-eval_constraint_op_for_op (enum constraint2_op c_op, enum tree_code t_op)
+eval_constraint_op_for_op (enum constraint_op c_op, enum tree_code t_op)
 {
   switch (c_op)
     {
     default:
       gcc_unreachable ();
-    case CONSTRAINT2_NE:
+    case CONSTRAINT_NE:
       if (t_op == EQ_EXPR)
 	return tristate (tristate::TS_FALSE);
       if (t_op == NE_EXPR)
 	return tristate (tristate::TS_TRUE);
       break;
-    case CONSTRAINT2_LT:
+    case CONSTRAINT_LT:
       if (t_op == LT_EXPR || t_op == LE_EXPR || t_op == NE_EXPR)
 	return tristate (tristate::TS_TRUE);
       if (t_op == EQ_EXPR || t_op == GT_EXPR || t_op == GE_EXPR)
 	return tristate (tristate::TS_FALSE);
       break;
-    case CONSTRAINT2_LE:
+    case CONSTRAINT_LE:
       if (t_op == LE_EXPR)
 	return tristate (tristate::TS_TRUE);
       if (t_op == GT_EXPR)
@@ -574,29 +574,29 @@ eval_constraint_op_for_op (enum constraint2_op c_op, enum tree_code t_op)
   return tristate (tristate::TS_UNKNOWN);
 }
 
-/* class constraint2.  */
+/* class constraint.  */
 
-/* Print this constraint2 to PP (which must support %E for trees),
-   using CM to look up equiv_class2 instances from ids.  */
+/* Print this constraint to PP (which must support %E for trees),
+   using CM to look up equiv_class instances from ids.  */
 
 void
-constraint2::print (pretty_printer *pp, const constraint_manager2 &cm) const
+constraint::print (pretty_printer *pp, const constraint_manager &cm) const
 {
   m_lhs.print (pp);
   pp_string (pp, ": ");
   m_lhs.get_obj (cm).print (pp);
   pp_string (pp, " ");
-  pp_string (pp, constraint2_op_code (m_op));
+  pp_string (pp, constraint_op_code (m_op));
   pp_string (pp, " ");
   m_rhs.print (pp);
   pp_string (pp, ": ");
   m_rhs.get_obj (cm).print (pp);
 }
 
-/* Generate a hash value for this constraint2.  */
+/* Generate a hash value for this constraint.  */
 
 hashval_t
-constraint2::hash () const
+constraint::hash () const
 {
   inchash::hash hstate;
   hstate.add_int (m_lhs.m_idx);
@@ -605,10 +605,10 @@ constraint2::hash () const
   return hstate.end ();
 }
 
-/* Equality operator for constraint2s.  */
+/* Equality operator for constraints.  */
 
 bool
-constraint2::operator== (const constraint2 &other) const
+constraint::operator== (const constraint &other) const
 {
   if (m_lhs != other.m_lhs)
     return false;
@@ -622,8 +622,8 @@ constraint2::operator== (const constraint2 &other) const
 /* Return true if this constraint is implied by OTHER.  */
 
 bool
-constraint2::implied_by (const constraint2 &other,
-			 const constraint_manager2 &cm) const
+constraint::implied_by (const constraint &other,
+			 const constraint_manager &cm) const
 {
   if (m_lhs == other.m_lhs)
     if (tree rhs_const = m_rhs.get_obj (cm).get_any_constant ())
@@ -634,8 +634,8 @@ constraint2::implied_by (const constraint2 &other,
 	      {
 	      default:
 		break;
-	      case CONSTRAINT2_LE:
-	      case CONSTRAINT2_LT:
+	      case CONSTRAINT_LE:
+	      case CONSTRAINT_LT:
 		if (compare_constants (rhs_const,
 				       GE_EXPR,
 				       other_rhs_const).is_true ())
@@ -645,28 +645,28 @@ constraint2::implied_by (const constraint2 &other,
   return false;
 }
 
-/* class equiv_class2_id.  */
+/* class equiv_class_id.  */
 
-/* Get the underlying equiv_class2 for this ID from CM.  */
+/* Get the underlying equiv_class for this ID from CM.  */
 
-const equiv_class2 &
-equiv_class2_id::get_obj (const constraint_manager2 &cm) const
+const equiv_class &
+equiv_class_id::get_obj (const constraint_manager &cm) const
 {
-  return cm.get_equiv_class2_by_index (m_idx);
+  return cm.get_equiv_class_by_index (m_idx);
 }
 
-/* Access the underlying equiv_class2 for this ID from CM.  */
+/* Access the underlying equiv_class for this ID from CM.  */
 
-equiv_class2 &
-equiv_class2_id::get_obj (constraint_manager2 &cm) const
+equiv_class &
+equiv_class_id::get_obj (constraint_manager &cm) const
 {
-  return cm.get_equiv_class2_by_index (m_idx);
+  return cm.get_equiv_class_by_index (m_idx);
 }
 
-/* Print this equiv_class2_id to PP.  */
+/* Print this equiv_class_id to PP.  */
 
 void
-equiv_class2_id::print (pretty_printer *pp) const
+equiv_class_id::print (pretty_printer *pp) const
 {
   if (null_p ())
     pp_printf (pp, "null");
@@ -674,38 +674,38 @@ equiv_class2_id::print (pretty_printer *pp) const
     pp_printf (pp, "ec%i", m_idx);
 }
 
-/* class constraint_manager2.  */
+/* class constraint_manager.  */
 
-/* constraint_manager2's copy ctor.  */
+/* constraint_manager's copy ctor.  */
 
-constraint_manager2::constraint_manager2 (const constraint_manager2 &other)
+constraint_manager::constraint_manager (const constraint_manager &other)
 : m_equiv_classes (other.m_equiv_classes.length ()),
   m_constraints (other.m_constraints.length ()),
   m_mgr (other.m_mgr)
 {
   int i;
-  equiv_class2 *ec;
+  equiv_class *ec;
   FOR_EACH_VEC_ELT (other.m_equiv_classes, i, ec)
-    m_equiv_classes.quick_push (new equiv_class2 (*ec));
-  constraint2 *c;
+    m_equiv_classes.quick_push (new equiv_class (*ec));
+  constraint *c;
   FOR_EACH_VEC_ELT (other.m_constraints, i, c)
     m_constraints.quick_push (*c);
 }
 
-/* constraint_manager2's assignment operator.  */
+/* constraint_manager's assignment operator.  */
 
-constraint_manager2&
-constraint_manager2::operator= (const constraint_manager2 &other)
+constraint_manager&
+constraint_manager::operator= (const constraint_manager &other)
 {
   gcc_assert (m_equiv_classes.length () == 0);
   gcc_assert (m_constraints.length () == 0);
 
   int i;
-  equiv_class2 *ec;
+  equiv_class *ec;
   m_equiv_classes.reserve (other.m_equiv_classes.length ());
   FOR_EACH_VEC_ELT (other.m_equiv_classes, i, ec)
-    m_equiv_classes.quick_push (new equiv_class2 (*ec));
-  constraint2 *c;
+    m_equiv_classes.quick_push (new equiv_class (*ec));
+  constraint *c;
   m_constraints.reserve (other.m_constraints.length ());
   FOR_EACH_VEC_ELT (other.m_constraints, i, c)
     m_constraints.quick_push (*c);
@@ -713,15 +713,15 @@ constraint_manager2::operator= (const constraint_manager2 &other)
   return *this;
 }
 
-/* Generate a hash value for this constraint_manager2.  */
+/* Generate a hash value for this constraint_manager.  */
 
 hashval_t
-constraint_manager2::hash () const
+constraint_manager::hash () const
 {
   inchash::hash hstate;
   int i;
-  equiv_class2 *ec;
-  constraint2 *c;
+  equiv_class *ec;
+  constraint *c;
 
   FOR_EACH_VEC_ELT (m_equiv_classes, i, ec)
     hstate.merge_hash (ec->hash ());
@@ -730,10 +730,10 @@ constraint_manager2::hash () const
   return hstate.end ();
 }
 
-/* Equality operator for constraint_manager2.  */
+/* Equality operator for constraint_manager.  */
 
 bool
-constraint_manager2::operator== (const constraint_manager2 &other) const
+constraint_manager::operator== (const constraint_manager &other) const
 {
   if (m_equiv_classes.length () != other.m_equiv_classes.length ())
     return false;
@@ -741,13 +741,13 @@ constraint_manager2::operator== (const constraint_manager2 &other) const
     return false;
 
   int i;
-  equiv_class2 *ec;
+  equiv_class *ec;
 
   FOR_EACH_VEC_ELT (m_equiv_classes, i, ec)
     if (!(*ec == *other.m_equiv_classes[i]))
       return false;
 
-  constraint2 *c;
+  constraint *c;
 
   FOR_EACH_VEC_ELT (m_constraints, i, c)
     if (!(*c == other.m_constraints[i]))
@@ -756,24 +756,24 @@ constraint_manager2::operator== (const constraint_manager2 &other) const
   return true;
 }
 
-/* Print this constraint_manager2 to PP (which must support %E for trees).  */
+/* Print this constraint_manager to PP (which must support %E for trees).  */
 
 void
-constraint_manager2::print (pretty_printer *pp) const
+constraint_manager::print (pretty_printer *pp) const
 {
   pp_string (pp, "{");
   int i;
-  equiv_class2 *ec;
+  equiv_class *ec;
   FOR_EACH_VEC_ELT (m_equiv_classes, i, ec)
     {
       if (i > 0)
 	pp_string (pp, ", ");
-      equiv_class2_id (i).print (pp);
+      equiv_class_id (i).print (pp);
       pp_string (pp, ": ");
       ec->print (pp);
     }
   pp_string (pp, "  |  ");
-  constraint2 *c;
+  constraint *c;
   FOR_EACH_VEC_ELT (m_constraints, i, c)
     {
       if (i > 0)
@@ -783,11 +783,11 @@ constraint_manager2::print (pretty_printer *pp) const
   pp_printf (pp, "}");
 }
 
-/* Dump a representation of this constraint_manager2 to PP
+/* Dump a representation of this constraint_manager to PP
    (which must support %E for trees).  */
 
 void
-constraint_manager2::dump_to_pp (pretty_printer *pp, bool multiline) const
+constraint_manager::dump_to_pp (pretty_printer *pp, bool multiline) const
 {
   // TODO
   if (multiline)
@@ -798,14 +798,14 @@ constraint_manager2::dump_to_pp (pretty_printer *pp, bool multiline) const
   else
     pp_string (pp, " {");
   int i;
-  equiv_class2 *ec;
+  equiv_class *ec;
   FOR_EACH_VEC_ELT (m_equiv_classes, i, ec)
     {
       if (multiline)
 	pp_string (pp, "    ");
       else if (i > 0)
 	pp_string (pp, ", ");
-      equiv_class2_id (i).print (pp);
+      equiv_class_id (i).print (pp);
       pp_string (pp, ": ");
       ec->print (pp);
       if (multiline)
@@ -820,7 +820,7 @@ constraint_manager2::dump_to_pp (pretty_printer *pp, bool multiline) const
     pp_newline (pp);
   else
     pp_string (pp, "{");
-  constraint2 *c;
+  constraint *c;
   FOR_EACH_VEC_ELT (m_constraints, i, c)
     {
       if (multiline)
@@ -834,10 +834,10 @@ constraint_manager2::dump_to_pp (pretty_printer *pp, bool multiline) const
     pp_string (pp, "}");
 }
 
-/* Dump a multiline representation of this constraint_manager2 to FP.  */
+/* Dump a multiline representation of this constraint_manager to FP.  */
 
 void
-constraint_manager2::dump (FILE *fp) const
+constraint_manager::dump (FILE *fp) const
 {
   pretty_printer pp;
   pp_format_decoder (&pp) = default_tree_printer;
@@ -847,10 +847,10 @@ constraint_manager2::dump (FILE *fp) const
   pp_flush (&pp);
 }
 
-/* Dump a multiline representation of this constraint_manager2 to stderr.  */
+/* Dump a multiline representation of this constraint_manager to stderr.  */
 
 DEBUG_FUNCTION void
-constraint_manager2::dump () const
+constraint_manager::dump () const
 {
   dump (stderr);
 }
@@ -858,26 +858,26 @@ constraint_manager2::dump () const
 /* Dump a multiline representation of CM to stderr.  */
 
 DEBUG_FUNCTION void
-debug (const constraint_manager2 &cm)
+debug (const constraint_manager &cm)
 {
   cm.dump ();
 }
 
-/* Attempt to add the constraint LHS OP RHS to this constraint_manager2.
+/* Attempt to add the constraint LHS OP RHS to this constraint_manager.
    Return true if the constraint could be added (or is already true).
    Return false if the constraint contradicts existing knowledge.  */
 
 bool
-constraint_manager2::add_constraint (const svalue2 *lhs,
+constraint_manager::add_constraint (const svalue *lhs,
 				     enum tree_code op,
-				     const svalue2 *rhs)
+				     const svalue *rhs)
 {
   lhs = lhs->unwrap_any_unmergeable ();
   rhs = rhs->unwrap_any_unmergeable ();
 
   /* Nothing can be known about unknown values.  */
-  if (lhs->get_kind () == svalue2::SK_UNKNOWN
-      || rhs->get_kind () == svalue2::SK_UNKNOWN)
+  if (lhs->get_kind () == svalue::SK_UNKNOWN
+      || rhs->get_kind () == svalue::SK_UNKNOWN)
     /* Not a contradiction.  */
     return true;
 
@@ -895,8 +895,8 @@ constraint_manager2::add_constraint (const svalue2 *lhs,
       return false;
   }
 
-  equiv_class2_id lhs_ec_id = get_or_add_equiv_class2 (lhs);
-  equiv_class2_id rhs_ec_id = get_or_add_equiv_class2 (rhs);
+  equiv_class_id lhs_ec_id = get_or_add_equiv_class (lhs);
+  equiv_class_id rhs_ec_id = get_or_add_equiv_class (rhs);
 
   /* Check the stronger conditions on ECs.  */
   {
@@ -916,14 +916,14 @@ constraint_manager2::add_constraint (const svalue2 *lhs,
 }
 
 /* Attempt to add the constraint LHS_EC_ID OP RHS_EC_ID to this
-   constraint_manager2.
+   constraint_manager.
    Return true if the constraint could be added (or is already true).
    Return false if the constraint contradicts existing knowledge.  */
 
 bool
-constraint_manager2::add_constraint (equiv_class2_id lhs_ec_id,
+constraint_manager::add_constraint (equiv_class_id lhs_ec_id,
 				     enum tree_code op,
-				     equiv_class2_id rhs_ec_id)
+				     equiv_class_id rhs_ec_id)
 {
   tristate t = eval_condition (lhs_ec_id, op, rhs_ec_id);
 
@@ -939,13 +939,13 @@ constraint_manager2::add_constraint (equiv_class2_id lhs_ec_id,
   return true;
 }
 
-/* Add the constraint LHS_EC_ID OP RHS_EC_ID to this constraint_manager2,
+/* Add the constraint LHS_EC_ID OP RHS_EC_ID to this constraint_manager,
    where the constraint has already been checked for being "unknown".  */
 
 void
-constraint_manager2::add_unknown_constraint (equiv_class2_id lhs_ec_id,
+constraint_manager::add_unknown_constraint (equiv_class_id lhs_ec_id,
 					     enum tree_code op,
-					     equiv_class2_id rhs_ec_id)
+					     equiv_class_id rhs_ec_id)
 {
   gcc_assert (lhs_ec_id != rhs_ec_id);
 
@@ -956,11 +956,11 @@ constraint_manager2::add_unknown_constraint (equiv_class2_id lhs_ec_id,
     case EQ_EXPR:
       {
 	/* Merge rhs_ec into lhs_ec.  */
-	equiv_class2 &lhs_ec_obj = lhs_ec_id.get_obj (*this);
-	const equiv_class2 &rhs_ec_obj = rhs_ec_id.get_obj (*this);
+	equiv_class &lhs_ec_obj = lhs_ec_id.get_obj (*this);
+	const equiv_class &rhs_ec_obj = rhs_ec_id.get_obj (*this);
 
 	int i;
-	const svalue2 *sval;
+	const svalue *sval;
 	FOR_EACH_VEC_ELT (rhs_ec_obj.m_vars, i, sval)
 	  lhs_ec_obj.add (sval);
 
@@ -972,15 +972,15 @@ constraint_manager2::add_unknown_constraint (equiv_class2_id lhs_ec_id,
 
 	/* Drop rhs equivalence class, overwriting it with the
 	   final ec (which might be the same one).  */
-	equiv_class2_id final_ec_id = m_equiv_classes.length () - 1;
-	equiv_class2 *old_ec = m_equiv_classes[rhs_ec_id.m_idx];
-	equiv_class2 *final_ec = m_equiv_classes.pop ();
+	equiv_class_id final_ec_id = m_equiv_classes.length () - 1;
+	equiv_class *old_ec = m_equiv_classes[rhs_ec_id.m_idx];
+	equiv_class *final_ec = m_equiv_classes.pop ();
 	if (final_ec != old_ec)
 	  m_equiv_classes[rhs_ec_id.m_idx] = final_ec;
 	delete old_ec;
 
 	/* Update the constraints.  */
-	constraint2 *c;
+	constraint *c;
 	FOR_EACH_VEC_ELT (m_constraints, i, c)
 	  {
 	    /* Update references to the rhs_ec so that
@@ -1006,19 +1006,19 @@ constraint_manager2::add_unknown_constraint (equiv_class2_id lhs_ec_id,
       }
       break;
     case GE_EXPR:
-      add_constraint_internal (rhs_ec_id, CONSTRAINT2_LE, lhs_ec_id);
+      add_constraint_internal (rhs_ec_id, CONSTRAINT_LE, lhs_ec_id);
       break;
     case LE_EXPR:
-      add_constraint_internal (lhs_ec_id, CONSTRAINT2_LE, rhs_ec_id);
+      add_constraint_internal (lhs_ec_id, CONSTRAINT_LE, rhs_ec_id);
       break;
     case NE_EXPR:
-      add_constraint_internal (lhs_ec_id, CONSTRAINT2_NE, rhs_ec_id);
+      add_constraint_internal (lhs_ec_id, CONSTRAINT_NE, rhs_ec_id);
       break;
     case GT_EXPR:
-      add_constraint_internal (rhs_ec_id, CONSTRAINT2_LT, lhs_ec_id);
+      add_constraint_internal (rhs_ec_id, CONSTRAINT_LT, lhs_ec_id);
       break;
     case LT_EXPR:
-      add_constraint_internal (lhs_ec_id, CONSTRAINT2_LT, rhs_ec_id);
+      add_constraint_internal (lhs_ec_id, CONSTRAINT_LT, rhs_ec_id);
       break;
     default:
       /* do nothing.  */
@@ -1027,20 +1027,20 @@ constraint_manager2::add_unknown_constraint (equiv_class2_id lhs_ec_id,
   validate ();
 }
 
-/* Subroutine of constraint_manager2::add_constraint, for handling all
+/* Subroutine of constraint_manager::add_constraint, for handling all
    operations other than equality (for which equiv classes are merged).  */
 
 void
-constraint_manager2::add_constraint_internal (equiv_class2_id lhs_id,
-					      enum constraint2_op c_op,
-					      equiv_class2_id rhs_id)
+constraint_manager::add_constraint_internal (equiv_class_id lhs_id,
+					      enum constraint_op c_op,
+					      equiv_class_id rhs_id)
 {
-  constraint2 new_c (lhs_id, c_op, rhs_id);
+  constraint new_c (lhs_id, c_op, rhs_id);
 
   /* Remove existing constraints that would be implied by the
      new constraint.  */
   unsigned read_index, write_index;
-  constraint2 *c;
+  constraint *c;
   VEC_ORDERED_REMOVE_IF (m_constraints, read_index, write_index, c,
 			 (c->implied_by (new_c, *this)));
 
@@ -1050,13 +1050,13 @@ constraint_manager2::add_constraint_internal (equiv_class2_id lhs_id,
   if (!flag_analyzer_transitivity)
     return;
 
-  if (c_op != CONSTRAINT2_NE)
+  if (c_op != CONSTRAINT_NE)
     {
       /* The following can potentially add EQ_EXPR facts, which could lead
 	 to ECs being merged, which would change the meaning of the EC IDs.
 	 Hence we need to do this via representatives.  */
-      const svalue2 *lhs = lhs_id.get_obj (*this).get_representative ();
-      const svalue2 *rhs = rhs_id.get_obj (*this).get_representative ();
+      const svalue *lhs = lhs_id.get_obj (*this).get_representative ();
+      const svalue *rhs = rhs_id.get_obj (*this).get_representative ();
 
       /* We have LHS </<= RHS */
 
@@ -1082,12 +1082,12 @@ constraint_manager2::add_constraint_internal (equiv_class2_id lhs_id,
 	 that x == 4 (if x is an integer).  */
       for (unsigned i = 0; i < m_constraints.length (); i++)
 	{
-	  const constraint2 *other = &m_constraints[i];
+	  const constraint *other = &m_constraints[i];
 	  if (other->is_ordering_p ())
 	    {
 	      /* Refresh the EC IDs, in case any mergers have happened.  */
-	      lhs_id = get_or_add_equiv_class2 (lhs);
-	      rhs_id = get_or_add_equiv_class2 (rhs);
+	      lhs_id = get_or_add_equiv_class (lhs);
+	      rhs_id = get_or_add_equiv_class (rhs);
 
 	      tree lhs_const = lhs_id.get_obj (*this).m_constant;
 	      tree rhs_const = rhs_id.get_obj (*this).m_constant;
@@ -1104,8 +1104,8 @@ constraint_manager2::add_constraint_internal (equiv_class2_id lhs_id,
 		  && other->m_rhs == lhs_id)
 		{
 		  /* We must have equality for this to be possible.  */
-		  gcc_assert (c_op == CONSTRAINT2_LE
-			      && other->m_op == CONSTRAINT2_LE);
+		  gcc_assert (c_op == CONSTRAINT_LE
+			      && other->m_op == CONSTRAINT_LE);
 		  add_constraint (lhs_id, EQ_EXPR, rhs_id);
 		  /* Adding an equality will merge the two ECs and potentially
 		     reorganize the constraints.  Stop iterating.  */
@@ -1123,23 +1123,23 @@ constraint_manager2::add_constraint_internal (equiv_class2_id lhs_id,
 		      && !rhs_const
 		      && other_rhs_const)
 		    {
-		      range2 r (bound2 (lhs_const, c_op == CONSTRAINT2_LE),
-			       bound2 (other_rhs_const,
-				      other->m_op == CONSTRAINT2_LE));
+		      range r (bound (lhs_const, c_op == CONSTRAINT_LE),
+			       bound (other_rhs_const,
+				      other->m_op == CONSTRAINT_LE));
 		      if (tree constant = r.constrained_to_single_element ())
 			{
-			  const svalue2 *cst_sval
-			    = m_mgr->get_or_create_constant_svalue2 (constant);
+			  const svalue *cst_sval
+			    = m_mgr->get_or_create_constant_svalue (constant);
 			  add_constraint
 			    (rhs_id, EQ_EXPR,
-			     get_or_add_equiv_class2 (cst_sval));
+			     get_or_add_equiv_class (cst_sval));
 			  return;
 			}
 		    }
 
 		  /* Otherwise, add the constraint implied by transitivity.  */
 		  enum tree_code new_op
-		    = ((c_op == CONSTRAINT2_LE && other->m_op == CONSTRAINT2_LE)
+		    = ((c_op == CONSTRAINT_LE && other->m_op == CONSTRAINT_LE)
 		       ? LE_EXPR : LT_EXPR);
 		  add_constraint (lhs_id, new_op, other->m_rhs);
 		}
@@ -1154,24 +1154,24 @@ constraint_manager2::add_constraint_internal (equiv_class2_id lhs_id,
 		      && !lhs_const
 		      && rhs_const)
 		    {
-		      range2 r (bound2 (other_lhs_const,
-				      other->m_op == CONSTRAINT2_LE),
-			       bound2 (rhs_const,
-				      c_op == CONSTRAINT2_LE));
+		      range r (bound (other_lhs_const,
+				      other->m_op == CONSTRAINT_LE),
+			       bound (rhs_const,
+				      c_op == CONSTRAINT_LE));
 		      if (tree constant = r.constrained_to_single_element ())
 			{
-			  const svalue2 *cst_sval
-			    = m_mgr->get_or_create_constant_svalue2 (constant);
+			  const svalue *cst_sval
+			    = m_mgr->get_or_create_constant_svalue (constant);
 			  add_constraint
 			    (lhs_id, EQ_EXPR,
-			     get_or_add_equiv_class2 (cst_sval));
+			     get_or_add_equiv_class (cst_sval));
 			  return;
 			}
 		    }
 
 		  /* Otherwise, add the constraint implied by transitivity.  */
 		  enum tree_code new_op
-		    = ((c_op == CONSTRAINT2_LE && other->m_op == CONSTRAINT2_LE)
+		    = ((c_op == CONSTRAINT_LE && other->m_op == CONSTRAINT_LE)
 		       ? LE_EXPR : LT_EXPR);
 		  add_constraint (other->m_lhs, new_op, rhs_id);
 		}
@@ -1180,41 +1180,41 @@ constraint_manager2::add_constraint_internal (equiv_class2_id lhs_id,
     }
 }
 
-/* Look for SVAL within the equivalence classes of this constraint_manager2;
+/* Look for SVAL within the equivalence classes of this constraint_manager;
    if found, return true, writing the id to *OUT if OUT is non-NULL,
    otherwise return false.  */
 
 bool
-constraint_manager2::get_equiv_class2_by_svalue2 (const svalue2 *sval,
-						  equiv_class2_id *out) const
+constraint_manager::get_equiv_class_by_svalue (const svalue *sval,
+					       equiv_class_id *out) const
 {
   /* TODO: should we have a map, rather than these searches?  */
   int i;
-  equiv_class2 *ec;
+  equiv_class *ec;
   FOR_EACH_VEC_ELT (m_equiv_classes, i, ec)
     {
       int j;
-      const svalue2 *iv;
+      const svalue *iv;
       FOR_EACH_VEC_ELT (ec->m_vars, j, iv)
 	if (iv == sval)
 	  {
 	    if (out)
-	      *out = equiv_class2_id (i);
+	      *out = equiv_class_id (i);
 	    return true;
 	  }
     }
   return false;
 }
 
-/* Ensure that SVAL has an equivalence class within this constraint_manager2;
+/* Ensure that SVAL has an equivalence class within this constraint_manager;
    return the ID of the class.  */
 
-equiv_class2_id
-constraint_manager2::get_or_add_equiv_class2 (const svalue2 *sval)
+equiv_class_id
+constraint_manager::get_or_add_equiv_class (const svalue *sval)
 {
-  equiv_class2_id result (-1);
+  equiv_class_id result (-1);
 
-  gcc_assert (sval->get_kind () != svalue2::SK_UNKNOWN);
+  gcc_assert (sval->get_kind () != svalue::SK_UNKNOWN);
 
   /* Convert all NULL pointers to (void *) to avoid state explosions
      involving all of the various (foo *)NULL vs (bar *)NULL.  */
@@ -1222,18 +1222,18 @@ constraint_manager2::get_or_add_equiv_class2 (const svalue2 *sval)
   if (POINTER_TYPE_P (sval->get_type ()))
     if (tree cst = sval->maybe_get_constant ())
       if (zerop (cst))
-	sval = m_mgr->get_or_create_constant_svalue2 (null_pointer_node);
+	sval = m_mgr->get_or_create_constant_svalue (null_pointer_node);
 #endif
 
-  /* Try svalue2 match.  */
-  if (get_equiv_class2_by_svalue2 (sval, &result))
+  /* Try svalue match.  */
+  if (get_equiv_class_by_svalue (sval, &result))
     return result;
 
   /* Try equality of constants.  */
   if (tree cst = sval->maybe_get_constant ())
     {
       int i;
-      equiv_class2 *ec;
+      equiv_class *ec;
       FOR_EACH_VEC_ELT (m_equiv_classes, i, ec)
 	if (ec->m_constant
 	    && types_compatible_p (TREE_TYPE (cst),
